Subject: bug#18339: 24.4.50; Inserting '$' in TeX-mode cause Emacs crashed in MS-Windows with trunk.

From: Chris Zheng <[email-masked]>
Date: Sat, 30 Aug 2014 19:53:04 +0800

From: Eli Zaretskii <[email-masked]>
Subject: Re: bug#18339: 24.4.50; Inserting '$' in TeX-mode cause Emacs crashed in MS-Windows with trunk.
Date: Thu, 28 Aug 2014 19:31:26 +0300

> I installed in the trunk because I couldn't reproduce the problem in
> the emacs-24 branch.  But you are right: the same faulty code is on
> the branch, so I now backported the fix there (r117463).
Thanks. 
> The buggy code examines memory 1 byte before an allocated buffer, so
> the chance of that being outside the program's address space is
> evidently quite small.
> 
> Memory management on Windows changed dramatically between emacs-24
> branch and the trunk, so I guess this is the main reason that the bug
> was exposed.
Now I know.  Thanks for your interpretation.